## xplanet 0.43

=== Makefile ===
# Generated automatically from Makefile.in by configure.
SHELL = /bin/sh

CP = /bin/cp
GZIP = /bin/gzip
INSTALL = /usr/bin/install -c
RM = /bin/rm
STRIP = /usr/bin/strip
TAR = /bin/tar

prefix = /usr
exec_prefix = ${prefix}
bindir = /usr/X11R6/bin
includedir = ${prefix}/include
libdir = ${exec_prefix}/lib
mandir = /usr/X11R6/man
auxdir = ${prefix}/share/xplanet
version = 0.43
distdir = xplanet-$(version)

CXX = c++
CXXFLAGS += -Wall -O3 -I/usr/X11R6/include  -I/usr/X11R6/include -I$(includedir)

X_LIBS = -L/usr/lib -lImlib -ljpeg -ltiff -lungif -lpng -lz -lm -lXext -L/usr/X11R6/lib -lSM -lICE -lXext -lX11  -L/usr/X11R6/lib  -lSM -lICE  -lX11

OPENGLLIBS = -lglut -lXmu -lXi -lMesaGL -lMesaGLU 

LIBS = $(OPENGLLIBS) $(X_LIBS) 

SRCS = \
	xplanet.cc \
	glutfuncs.cc \
	image.cc \
	location.cc \
	moonpos.cc \
	options.cc \
	ortho.cc \
	planet.cc \
	sunpos.cc \
	text.cc \
	util.cc 

OBJS = $(SRCS:.cc=.o)
AUXDIR = $(notdir $(wildcard auxdir/*.ppm auxdir/*-markers.txt))

.cc.o: 
	$(CXX) -c $(CXXFLAGS) $< 

all: xplanet xplanetbg

xplanet: $(OBJS)
	$(CXX) -o $@ $(OBJS) $(LIBS)

xplanetbg: xplanetbg.o orbit.o
	$(CXX) -o $@ $^ $(X_LIBS)

xplanet.o: xplanet.cc auxfiles.h image.h options.h planet.h text.h util.h

glutfuncs.o: glutfuncs.cc xplanet.h image.h

image.o: image.cc location.h options.h planet.h text.h util.h xplanet.h

location.o: location.cc location.h util.h

moonpos.o: moonpos.cc util.h

options.o: options.cc options.h checkfuncs.h util.h xplanet.h 

ortho.o: ortho.cc location.h options.h util.h

planet.o: planet.cc planet.h util.h

sunpos.o: sunpos.cc util.h

text.o: text.cc image.h location.h options.h planet.h text.h util.h xplanet.h

util.o: util.cc 

xplanetbg.o: xplanetbg.cc checkfuncs.h orbit.h 

orbit.o: orbit.cc orbit.h

install:
	$(INSTALL) -d $(bindir)
	$(INSTALL) xplanet $(bindir)
	$(INSTALL) xplanetbg $(bindir)
	$(INSTALL) -m 755 tkxplanet $(bindir)
	$(INSTALL) -d $(mandir)
	$(INSTALL) -d $(mandir)/man1
	$(INSTALL) -m 644 xplanet.1 $(mandir)/man1
	$(INSTALL) -m 644 xplanetbg.1 $(mandir)/man1
	$(INSTALL) -d $(auxdir)
ifneq ($(AUXDIR),)
	$(INSTALL) -m 644 $(addprefix auxdir/,$(AUXDIR)) $(auxdir)
endif

install-strip: install
	$(STRIP) $(bindir)/xplanet
	$(STRIP) $(bindir)/xplanetbg

uninstall:
	$(RM) $(bindir)/xplanet
	$(RM) $(bindir)/xplanetbg
	$(RM) $(bindir)/tkxplanet
	$(RM) $(mandir)/man1/xplanet.1
	$(RM) $(mandir)/man1/xplanetbg.1
ifneq ($(AUXDIR),)
	$(RM) $(addprefix $(auxdir)/, $(AUXDIR))
endif

dist: 	
	$(INSTALL) -d $(distdir)
	$(CP) BUGS COPYING CREDITS ChangeLog INSTALL Makefile* README *.cc \
	*.h *.h.in tkxplanet* aclocal.m4 configure* *.1 $(distdir)
	$(CP) -r autoconf $(distdir)
ifneq ($(AUXDIR),)
	$(INSTALL) -d $(distdir)/auxdir
	$(CP) -r auxdir/*.txt $(distdir)/auxdir	
endif
	$(TAR) cf $(distdir).tar $(distdir)
	$(GZIP) -9 $(distdir).tar
	$(RM) -fr $(distdir)

clean:
	$(RM) *.o 

distclean:
	$(RM) *.o auxfiles.h checkfuncs.h xplanet xplanetbg config.* \
	tkxplanet Makefile

## xplanet 0.94

=== Makefile ===
# Generated automatically from Makefile.in by configure.
SHELL = /bin/sh

CP = /bin/cp
GZIP = /bin/gzip
INSTALL = /usr/bin/install -c
RM = /bin/rm
STRIP = /usr/bin/strip
TAR = /bin/tar


prefix = /usr/local
bindir = ${exec_prefix}/bin
exec_prefix = ${prefix}
mandir = ${prefix}/man
auxdir = ${prefix}/share/xplanet
version = 0.94
distdir = xplanet-$(version)

CC = gcc
CXX = c++
CPPFLAGS += -Wall -O3 -INONE/include -I${prefix}/include -I.
CXXFLAGS += -I/usr/include -I/usr/include/freetype2  -I/usr/X11R6/include

SRCS = xplanet.cc	\
	glutfuncs.cc	\
	Location.cc	\
	Marker.cc	\
	moonpos.cc	\
	Options.cc	\
	Planet.cc	\
	Ring.cc		\
	Satellite.cc	\
	specularMap.cc  \
	ssec.cc		\
	util.cc 

COBJS = getopt.o getopt1.o xp_getopt.o 
OBJS = $(SRCS:.cc=.o) $(COBJS) 
XPLIBS = libdisplay/libdisplay.a libimage/libimage.a 		\
	libprojection/libprojection.a libsgp4sdp4/libsgp4sdp4.a \
	libannotate/libannotate.a 

LIBDIRS = libannotate libdisplay libimage libprojection libsgp4sdp4

all: xplanet xplanetbg

xplanet: $(OBJS) $(XPLIBS)
	$(CXX) $(LDFLAGS) -o $@ $^ $(LIBS)  -L/usr/X11R6/lib -lX11 \
-lXmu -lXi -lglut -lGL -lGLU  -lgif  -L/usr/X11R6/lib -lX11 -ljpeg -lpng -lm -lz -lpnm -ltiff -lm -lfreetype \


xplanetbg: xplanetbg.o orbit.o $(COBJS)  libimage/libimage.a
	$(CXX) $(LDFLAGS) -o $@ $^ $(LIBS) -lXss -lXext  -L/usr/X11R6/lib -lX11  -lgif  -L/usr/X11R6/lib -lX11 -ljpeg -lpng -lm -lz -lpnm -ltiff -lm -lm

libannotate/libannotate.a:
	$(MAKE) -C libannotate

libdisplay/libdisplay.a:
	$(MAKE) -C libdisplay

libimage/libimage.a:
	$(MAKE) -C libimage

libprojection/libprojection.a:
	$(MAKE) -C libprojection

libsgp4sdp4/libsgp4sdp4.a:
	$(MAKE) -C libsgp4sdp4

xplanet.o: xplanet.cc auxfiles.h checkfuncs.h Options.h keywords.h \
 Planet.h util.h libannotate/libannotate.h libdisplay/libdisplay.h \
 libdisplay/DisplayBase.h libimage/libimage.h \
 libprojection/libprojection.h libprojection/ProjectionBase.h \
 libprojection/ProjectionRectangular.h Location.h

glutfuncs.o: glutfuncs.cc checkfuncs.h auxfiles.h xplanet.h \
 libprojection/libprojection.h libprojection/ProjectionBase.h \
 libprojection/ProjectionRectangular.h Location.h

Location.o: Location.cc Location.h util.h

Marker.o: Marker.cc Marker.h Options.h checkfuncs.h keywords.h util.h

moonpos.o: moonpos.cc util.h

Options.o: Options.cc checkfuncs.h auxfiles.h Options.h keywords.h \
 util.h xp_getopt.h libannotate/libannotate.h \
 libprojection/libprojection.h libprojection/ProjectionBase.h \
 libprojection/ProjectionRectangular.h Location.h

Planet.o: Planet.cc Options.h checkfuncs.h keywords.h Planet.h util.h

Ring.o: Ring.cc Location.h Options.h checkfuncs.h keywords.h Ring.h \
 satrings.h util.h

Satellite.o: Satellite.cc Options.h checkfuncs.h keywords.h util.h \
 Satellite.h libsgp4sdp4/sgp4sdp4.h

ssec.o: ssec.cc Options.h checkfuncs.h keywords.h util.h \
 libimage/libimage.h

util.o: util.cc auxfiles.h Options.h checkfuncs.h keywords.h util.h \
 xplanet.h libimage/libimage.h libprojection/libprojection.h \
 libprojection/ProjectionBase.h libprojection/ProjectionRectangular.h \
 Location.h

xplanetbg.o: xplanetbg.cc checkfuncs.h orbit.h xp_getopt.h xplanetbg.h \
 libimage/libimage.h

orbit.o: orbit.cc orbit.h

install: all
	$(INSTALL) -d $(bindir)
	$(INSTALL) xplanet $(bindir)
	$(INSTALL) xplanetbg $(bindir)
	$(INSTALL) -m 755 tkxplanet $(bindir)
	$(INSTALL) -m 755 tzcoord.pl $(bindir)
	$(INSTALL) -d $(mandir)
	$(INSTALL) -d $(mandir)/man1
	$(INSTALL) -m 644 tkxplanet.1 $(mandir)/man1
	$(INSTALL) -m 644 tzcoord.pl.1 $(mandir)/man1
	$(INSTALL) -m 644 xplanet.1 $(mandir)/man1
	$(INSTALL) -m 644 xplanetbg.1 $(mandir)/man1
	$(INSTALL) -d $(auxdir)
	-$(CP) -r auxdir/* $(auxdir)

install-strip: install
	$(STRIP) $(bindir)/xplanet
	$(STRIP) $(bindir)/xplanetbg

uninstall:
	-$(RM) -f $(bindir)/xplanet
	-$(RM) -f $(bindir)/xplanetbg
	-$(RM) -f $(bindir)/tkxplanet
	-$(RM) -f $(bindir)/tzcoord.pl
	-$(RM) -f $(mandir)/man1/xplanet.1
	-$(RM) -f $(mandir)/man1/xplanetbg.1
	@echo "*** Not removing " $(auxdir) " ***"

dist: 	
	$(INSTALL) -d $(distdir)
	$(CP) COPYING CREDITS ChangeLog FAQ INSTALL Makefile* README *.c \
	*.cc *.h *.h.in tkxplanet* tzcoord.pl* aclocal.m4 configure* *.1 \
	$(distdir)
	$(CP) -r autoconf $(distdir)
	list='$(LIBDIRS)'; for subdir in $$list; do \
	($(CP) -r $$subdir $(distdir)) \
	done
	$(CP) -r auxdir $(distdir)
	$(TAR) cf $(distdir).tar $(distdir)
	$(GZIP) -9 $(distdir).tar
	-$(RM) -fr $(distdir)

.PHONY : all clean distclean
clean:
	-$(RM) -f *.o
	list='$(LIBDIRS)'; for subdir in $$list; do	\
	(cd $$subdir; $(MAKE) clean)			\
	done

distclean:
	-$(RM) -f *.o auxfiles.h checkfuncs.h xplanet	\
	xplanetbg xplanetbg.h					\
	config.* tkxplanet tzcoord.pl Makefile;			\
	list='$(LIBDIRS)'; for subdir in $$list; do		\
	(cd $$subdir; $(MAKE) distclean)			\
	done

=== libannotate/Makefile ===
# Generated automatically from Makefile.in by configure.
prefix = /usr/local

CXX = c++
CPPFLAGS += -Wall -O3 -INONE/include -I${prefix}/include -I..
CXXFLAGS += -I/usr/include -I/usr/include/freetype2  -I/usr/X11R6/include

SRCS = \
	drawGreatArcs.cc 	\
	drawMarkers.cc 		\
	drawSatellite.cc 	\
	parse.cc

OBJS = $(SRCS:.cc=.o)

libannotate.a: $(OBJS)
	/usr/bin/ar rsuv $@ $(OBJS)
	

drawGreatArcs.o: drawGreatArcs.cc ../Options.h ../checkfuncs.h \
 ../keywords.h parse.h ../Planet.h ../util.h \
 ../libdisplay/libdisplay.h ../libdisplay/DisplayBase.h \
 ../libprojection/libprojection.h ../libprojection/ProjectionBase.h \
 ../libprojection/ProjectionRectangular.h ../Location.h

drawMarkers.o: drawMarkers.cc ../auxfiles.h ../Marker.h ../Options.h \
 ../checkfuncs.h ../keywords.h parse.h ../Planet.h ../util.h \
 ../xplanet.h ../libdisplay/libdisplay.h ../libdisplay/DisplayBase.h \
 ../libprojection/libprojection.h ../libprojection/ProjectionBase.h \
 ../libprojection/ProjectionRectangular.h ../Location.h

drawSatellite.o: drawSatellite.cc ../auxfiles.h ../Location.h \
 ../Options.h ../checkfuncs.h ../keywords.h parse.h ../Satellite.h \
 ../libsgp4sdp4/sgp4sdp4.h ../util.h

parse.o: parse.cc ../keywords.h

.PHONY : clean distclean

clean  :
	-/bin/rm -f *.o libannotate.a

distclean:
	-/bin/rm -f *.o libannotate.a Makefile

=== libdisplay/Makefile ===
# Generated automatically from Makefile.in by configure.
prefix = /usr/local

CXX = c++
CPPFLAGS += -Wall -O3 -INONE/include -I${prefix}/include -I..
CXXFLAGS += -I/usr/include -I/usr/include/freetype2  -I/usr/X11R6/include

SRCS = \
	DisplayBase.cc \
	 \
	 \
	DisplayOutput.cc \
	DisplayX11Base.cc DisplayX11.cc \
	getDisplay.cc

OBJS = $(SRCS:.cc=.o)

libdisplay.a: $(OBJS)
	/usr/bin/ar rsuv $@ $(OBJS)
	

DisplayBase.o: DisplayBase.cc ../auxfiles.h ../checkfuncs.h \
 DisplayBase.h ../Location.h ../Marker.h ../Options.h ../keywords.h \
 ../Planet.h ../util.h ../libannotate/libannotate.h \
 ../libprojection/libprojection.h ../libprojection/ProjectionBase.h \
 ../libprojection/ProjectionRectangular.h

DisplayMSWin.o: DisplayMSWin.cc DisplayMSWin.h DisplayBase.h \
 ../checkfuncs.h ../Options.h ../keywords.h \
 ../libannotate/libannotate.h ../libimage/libimage.h \
 ../libprojection/libprojection.h ../libprojection/ProjectionBase.h \
 ../libprojection/ProjectionRectangular.h ../Location.h

DisplayMacAqua.o: DisplayMacAqua.cc DisplayMacAqua.h DisplayBase.h \
 ../checkfuncs.h ../Options.h ../keywords.h \
 ../libannotate/libannotate.h ../libimage/libimage.h \
 ../libprojection/libprojection.h ../libprojection/ProjectionBase.h \
 ../libprojection/ProjectionRectangular.h ../Location.h

DisplayOutput.o: DisplayOutput.cc DisplayOutput.h DisplayBase.h \
 ../checkfuncs.h ../Options.h ../keywords.h ../libimage/libimage.h \
 ../libprojection/libprojection.h ../libprojection/ProjectionBase.h \
 ../libprojection/ProjectionRectangular.h ../Location.h

DisplayX11.o: DisplayX11.cc ../auxfiles.h DisplayX11.h \
 DisplayX11Base.h DisplayBase.h ../checkfuncs.h ../Marker.h \
 ../Options.h ../keywords.h ../util.h ../libannotate/libannotate.h \
 ../libimage/libimage.h

DisplayX11Base.o: DisplayX11Base.cc ../auxfiles.h DisplayX11Base.h \
 DisplayBase.h ../checkfuncs.h ../Marker.h ../Options.h ../keywords.h \
 ../util.h ../libimage/libimage.h ../libprojection/libprojection.h \
 ../libprojection/ProjectionBase.h \
 ../libprojection/ProjectionRectangular.h ../Location.h vroot.h

getDisplay.o: getDisplay.cc ../checkfuncs.h ../keywords.h \
 DisplayBase.h DisplayOutput.h DisplayX11Base.h DisplayX11.h

.PHONY : clean distclean
clean:
	-/bin/rm -f *.o libdisplay.a

distclean:
	-/bin/rm -f *.o libdisplay.a Makefile

=== libimage/Makefile ===
# Generated automatically from Makefile.in by configure.
prefix = /usr/local

CC = gcc
CPPFLAGS += -Wall -O3 -INONE/include -I${prefix}/include 

SRCS = \
	 gif.c jpeg.c png.c pnm.c tiff.c \
	bmp.c \
	image.c 

OBJS = $(SRCS:.c=.o)

all: libimage.a

libimage.a: $(OBJS)
	/usr/bin/ar rsuv $@ $(OBJS)
	

.PHONY : clean distclean
clean:
	/bin/rm -f *.o libimage.a

distclean:
	/bin/rm -f *.o libimage.a Makefile config.* checkfuncs.h

=== libprojection/Makefile ===
# Generated automatically from Makefile.in by configure.
prefix = /usr/local

CXX = c++
CPPFLAGS += -Wall -O3 -INONE/include -I${prefix}/include -I..  -I/usr/X11R6/include

SRCS = \
	getColor.cc \
	getProjection.cc \
	ProjectionBase.cc \
	ProjectionAncient.cc \
	ProjectionAzimuthal.cc \
	ProjectionHemisphere.cc \
	ProjectionMercator.cc \
	ProjectionMollweide.cc \
	ProjectionOrthographic.cc \
	ProjectionPeters.cc \
	ProjectionRectangular.cc \

OBJS = $(SRCS:.cc=.o)

libprojection.a: $(OBJS)
	/usr/bin/ar rsuv $@ $(OBJS)
	

getColor.o: getColor.cc ../Location.h ../Options.h ../checkfuncs.h \
 ../keywords.h ../util.h ../xplanet.h libprojection.h ProjectionBase.h \
 ProjectionRectangular.h

getProjection.o: getProjection.cc ../keywords.h ProjectionBase.h \
 ProjectionAncient.h ProjectionAzimuthal.h ProjectionHemisphere.h \
 ProjectionMollweide.h ProjectionMercator.h ProjectionOrthographic.h \
 ProjectionPeters.h ProjectionRectangular.h ../Location.h

ProjectionAncient.o: ProjectionAncient.cc ../Options.h ../checkfuncs.h \
 ../keywords.h ProjectionAncient.h ProjectionBase.h ../util.h

ProjectionAzimuthal.o: ProjectionAzimuthal.cc ../Options.h \
 ../checkfuncs.h ../keywords.h ProjectionAzimuthal.h ProjectionBase.h \
 ../util.h

ProjectionBase.o: ProjectionBase.cc ../Location.h ../Options.h \
 ../checkfuncs.h ../keywords.h ../Planet.h ProjectionBase.h ../util.h \
 ../libannotate/libannotate.h getColor.h

ProjectionHemisphere.o: ProjectionHemisphere.cc ../Options.h \
 ../checkfuncs.h ../keywords.h ProjectionHemisphere.h ProjectionBase.h \
 ../util.h

ProjectionMercator.o: ProjectionMercator.cc ../Options.h \
 ../checkfuncs.h ../keywords.h ProjectionMercator.h ProjectionBase.h \
 ../util.h

ProjectionMollweide.o: ProjectionMollweide.cc ../Options.h \
 ../checkfuncs.h ../keywords.h ProjectionMollweide.h ProjectionBase.h \
 ../util.h

ProjectionOrthographic.o: ProjectionOrthographic.cc ../Location.h \
 ../Options.h ../checkfuncs.h ../keywords.h ../Planet.h \
 ProjectionRectangular.h ProjectionBase.h ProjectionOrthographic.h \
 ../Ring.h ../satrings.h ../util.h ../xplanet.h \
 ../libannotate/libannotate.h getColor.h

ProjectionPeters.o: ProjectionPeters.cc ../Options.h ../checkfuncs.h \
 ../keywords.h ProjectionPeters.h ProjectionBase.h ../util.h

ProjectionRectangular.o: ProjectionRectangular.cc ../Location.h \
 ../Options.h ../checkfuncs.h ../keywords.h ProjectionRectangular.h \
 ProjectionBase.h ../Ring.h ../util.h

.PHONY : clean distclean
clean:
	-/bin/rm -f *.o libprojection.a

distclean:
	-/bin/rm -f *.o libprojection.a Makefile

=== libsgp4sdp4/Makefile ===
# Generated automatically from Makefile.in by configure.
prefix = /usr/local

CC = gcc
CPPFLAGS += -Wall -O3 -INONE/include -I${prefix}/include 

SRCS = \
	sgp4sdp4.c \
	sgp_in.c \
	sgp_math.c \
	sgp_obs.c \
	sgp_time.c \
	solar.c

OBJS = $(SRCS:.c=.o)

libsgp4sdp4.a: $(OBJS)
	/usr/bin/ar rsuv $@ $(OBJS)
	

ephem : main.o libsgp4sdp4.a
	$(CC) -lm -o $@ $^ 

$(OBJS) : sgp4sdp4.h

.PHONY : clean distclean
clean  :
	-/bin/rm -f *.o libsgp4sdp4.a ephem

distclean:
	-/bin/rm -f *.o config.* libsgp4sdp4.a ephem Makefile

## xplanet 1.2.1

=== debian/changelog ===
xplanet (1.2.1-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Please Build-Depends on libjpeg-dev, not libjpeg62-dev":
    do as the bug report requests (closes: #634650).

 -- gregor herrmann <gregoa@debian.org>  Mon, 07 Nov 2011 17:36:25 +0100

xplanet (1.2.1-4) unstable; urgency=low

  * Add a README.Debian about imagery (Closes: #280351, #588738)
  * Add --with autotools-dev to rules (Closes: #559200)
  * Bump Standards-Version to 3.9.1 (no changes)
  * Migrate to 3.0 (quilt) source format
  * Remove B-D on quilt and README.source
  * Use Breaks+Replaces, not Conflicts+Replaces (§7.4)

 -- Ruben Molina <rmolina@udea.edu.co>  Wed, 15 Dec 2010 10:15:29 -0500

xplanet (1.2.1-3) unstable; urgency=low

  * Now using dh 7 tiny rules
  * Standards bumped to 3.8.3 (added debian/README.source)
  * New patch (tsc-aspect-ratio) from upstream svn revision 160.
  * Tag all the patches using DEP-3 format

 -- Ruben Molina <rmolina@udea.edu.co>  Mon, 30 Nov 2009 16:21:59 -0500

xplanet (1.2.1-2) unstable; urgency=low

  * New patch (possible-buffer-overflow) from upstream svn revision 153.
  * New patch (orbit-step-bug) from upstream svn revision 154.
  * Standards bumped to 3.8.2 (no changes)
  * Update debian/watch to avoid nomap-* versions

 -- Ruben Molina <rmolina@udea.edu.co>  Wed, 01 Jul 2009 21:50:41 -0500

xplanet (1.2.1-1) unstable; urgency=low

  * New upstream release
  * New debian/rules from experiemntal migrated to unstable
  * Standards bumped to 3.8.1 (no changes)

 -- Ruben Molina <rmolina@udea.edu.co>  Mon, 27 Apr 2009 10:06:47 -0500

xplanet (1.2.0+svn147-2) experimental; urgency=low

  * Fix duplicate-font-file lintian warning
    + Add Depends and Build-Depends on ttf-freefont
    + Add symlink in xplanet.links for FreeMonoBold.ttf
  * Fix copyright-refers-to-symlink-license for LGPL-2 and GPL-2
  * Enable support for freetype pango, gif, jpeg, png, pnm, and tiff 
    (Adding Build-Depends from unstable)

 -- Ruben Molina <rmolina@udea.edu.co>  Sun, 15 Feb 2009 19:47:25 -0500

xplanet (1.2.0+svn147-1) experimental; urgency=low

  * New upstream SVN snapshot.
  * Update debian/watch to track upstream svn revisions.
  * Add a get-orig-source rule to retrieve sources.
  * New patch to fix a FTBFS with the upcoming GCC 4.4
    Closes: #505013 (ftbfs-gcc-4.4).
  * Fully reworked debian/rules file.

 -- Ruben Molina <rmolina@udea.edu.co>  Sat, 31 Jan 2009 19:39:29 -0500

xplanet (1.2.0-7) unstable; urgency=low

  * Converted patches to unified diff. Closes: #485024 (3.0-quilt-by-default)
  * Updated Standards-Version to 3.8.0 (no changes needed)
  * Reformatted debian/copyright (and fixed some typos)
  * Added Build-Depends on autotools-dev and rules to update config scripts

 -- Ruben Molina <rmolina@udea.edu.co>  Sat, 26 Jul 2008 18:49:22 -0500

xplanet (1.2.0-6) unstable; urgency=low

  * New maintainer. Closes: #476179.
  * Solved lintian warnings
    + Adjusted rules file to use '[ ! -f Makefile ] || $(MAKE) distclean'
      instead of '-$(MAKE) distclean'.
    + Adjusted control file to use quilt (>= 0.40) instead of (>= 0.40-1).
    + Adjusted rules file to remove empty images/ dir.
  * Closed old bugs not present in current version.
    + xplanet now reads environment variables properly (Closes: #218578).
    + xplanet now includes a 'constellations' example in 
      /usr/share/xplanet/arcs/ (Closes: #187503).
    + Satellite trajectories were verified using AMSAT's TLE-data and Real
      Time Satellite Tracking from n2yo.com (Closes: #249728).
  * Homepage field added
  * Update debian/copyright to include third parties, and rewrite using 
    http://wiki.debian.org/Proposals/CopyrightFormat
  * Remove obsolete debian/package.docs
  * Added a patch for the man page, to replace hyphens where a minus sign
    was intended.

 -- Ruben Molina <rmolina@udea.edu.co>  Tue, 20 May 2008 08:11:52 -0500

xplanet (1.2.0-5) unstable; urgency=low

  * Update Build-Depends to libgif-dev. (Closes: #474310)

 -- Christoph Berg <myon@debian.org>  Mon, 14 Apr 2008 23:19:44 +0200

xplanet (1.2.0-4) unstable; urgency=low

  * Yet again fix FTBFS with gcc-4.3, missing #includes. (Closes: #454885)
  * Move menu entry to Applications/Science/Astronomy.

 -- Christoph Berg <myon@debian.org>  Mon, 10 Dec 2007 23:28:40 +0100

xplanet (1.2.0-3) unstable; urgency=low

  * Fix FTBFS with gcc-4.3, missing #includes, thanks to Martin Michlmayr for
    the patch (Closes: #417782).

 -- Christoph Berg <myon@debian.org>  Wed, 04 Apr 2007 15:30:32 +0000

xplanet (1.2.0-2) unstable; urgency=low

  * New maintainer (Closes: #405735).
  * Build-Depends:
    + Set png depends to libpng12-dev | libpng-dev.
    + Set gif depends to libungif4-dev | giflib-dev (Closes: #333912).
    + Drop redundant x-dev dependency.
  * xplanet-images enhances instead of depends on xplanet (Closes: #365723).
  * Remove obsolete aegis test suite.
  * Remove redundant postinst/postrm files, clean up rules, add watch file.
  * Ship FAQ from upstream website (Closes: #302798), drop AUTHORS.
  * Bump Standards-Version.

 -- Christoph Berg <myon@debian.org>  Thu, 11 Jan 2007 21:04:55 +0100

xplanet (1.2.0-1.4) unstable; urgency=low

  * Porter NMU.
  * Update config.guess/config.sub. Closes:#332756.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 10 Dec 2006 22:04:17 +0100

xplanet (1.2.0-1.3) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n issues
  * Remove the only debconf notes that applies only to upgrades
    from pre-sarge versions which we don't support in etch.
    Closes: #388987
    This allows removing debian/config and the dependency on debconf and
    po-debconf
    This also removes the need for translated templates.
    Closes: #295301, #292547, #364305
  * Remove extra cruft in the distributed files:
    debian/postrm.debhelper, debian/postinst.debhelper, debian/menu.old
    debian/substvars
  * Remove duplicate build relation on libfreetype6-dev



=== debian/control ===
Source: xplanet
Section: graphics
Priority: optional
Maintainer: Ruben Molina <rmolina@udea.edu.co>
Build-Depends: debhelper (>= 7), autotools-dev,
 libjpeg-dev, libpng12-dev | libpng-dev, libfreetype6-dev,
 libtiff4-dev, libgif-dev, libnetpbm10-dev, libpango1.0-dev,
 libx11-dev, libxss-dev, libxt-dev, ttf-freefont
Standards-Version: 3.9.1
Homepage: http://xplanet.sourceforge.net/

Package: xplanet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-freefont
Recommends: xplanet-images
Description: planetary body renderer
 Xplanet renders an image of a planet into an X window or a file. All
 of the major planets and most satellites can be drawn, and different
 map projections are also supported, including azimuthal, hemisphere,
 Lambert, Mercator, Mollweide, Peters, polyconic, and rectangular.
 .
 In order to run xplanet, you'll need at least one map file. Some maps
 are included in the xplanet-images package.

Package: xplanet-images
Depends: ${misc:Depends}
Enhances: xplanet, ircmarkers
Breaks: xplanet (<< 0.71)
Architecture: all
Description: imagery for xplanet
 Xplanet renders an image of a planet into an X window or a file.
 .
 In order to run xplanet, you'll need at least one map file. This package
 includes some map files that can be used with xplanet.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh --with autotools-dev $@

#override_dh_auto_test:

## xplanet 1.2.1-1maemo1

=== debian/changelog ===
xplanet (1.2.1-1maemo1) unstable; urgency=low

  * First release for Maemo 5

 -- Luke Reeves <luke@neuro-tech.net>  Wed, 17 Feb 2010 20:04:00 -0500

=== debian/control ===
Source: xplanet
Section: graphics
Priority: optional
Maintainer: Luke Reeves <luke@neuro-tech.net>
XSBC-Original-Maintainer: Ruben Molina <rmolina@udea.edu.co>
Build-Depends: quilt, autotools-dev,
 libjpeg62-dev, libpng12-dev | libpng-dev, libfreetype6-dev,
 libtiff4-dev, libpango1.0-dev,
 libx11-dev, libxt-dev
Standards-Version: 3.8.1
Homepage: http://xplanet.sourceforge.net/

Package: xplanet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-freefont
Description: planetary body renderer
 Xplanet renders an image of a planet into an X window or a file. All
 of the major planets and most satellites can be drawn, and different
 map projections are also supported, including azimuthal, hemisphere,
 Lambert, Mercator, Mollweide, Peters, polyconic, and rectangular.
 .

## xplanet 1.2.1-1maemo2

=== debian/changelog ===
xplanet (1.2.1-1maemo2) unstable; urgency=low

  * Updated with CLI icon, new description

 -- Luke Reeves <luke@neuro-tech.net>  Mon, 22 Feb 2010 19:00:00 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: xplanet
-Section: graphics
+Section: user/graphics
 Priority: optional
 Maintainer: Luke Reeves <luke@neuro-tech.net>
 XSBC-Original-Maintainer: Ruben Molina <rmolina@udea.edu.co>
@@ -17,5 +17,63 @@
  Xplanet renders an image of a planet into an X window or a file. All
  of the major planets and most satellites can be drawn, and different
  map projections are also supported, including azimuthal, hemisphere,
- Lambert, Mercator, Mollweide, Peters, polyconic, and rectangular.
- .
+ Lambert, Mercator, Mollweide, Peters, polyconic, and rectangular. 
+ This is a command-line only program.
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
+ d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAACYtJREFUeNrUWkurZUcVXvXY
+ 59zbtyXpICEiaFrJQFDo6CDOHAi2UQdOFBw4CAqCDhU0DuIPEBtCRupIBxk4
+ MBMHgpIMnChE1OAD2uADEkFpUM9z710vv7Wq6ty6u09f0+nb3Tcb6u7Hqb33
+ 96361qq1al/1vscfp+Ac3fjH6+S9v3owP/iYMfqyMaabz2ax62wwtnPDOPgY
+ ok8pxpQoKKW9UhRC8IFI+UQ4ds7HFKLW1mujffDexRi9MXiGMQG34uborbEO
+ 515pckopZ7RxuN8RyflgtBrxfKeNGlNMY0ppxItGUnowSm3Rr7ezubfdnCwe
+ SuMw2EsPPvi9x957+SlrNAXvCCTIWkMKvQP6JEYdorQoG6gkUIpo+SgkStyV
+ SQb0RwOolACOQdBIlAaQ7XGtT4q2lGhDDCjRGsZYg8Qa71sR75WSPe5Z411o
+ doPfN1rrDs/q8MaVVt5Z5T1dnM++8sEPXHnqXzduxOuv/iVutlsGKeCxJbyE
+ jxN2uJc3FfkcJzHviBlG5sq/kUq8D4qvyzWKpQ/fzn94H/Mzub88L0hfJc/w
+ OPc8Ijh3is8xUhqIMZr+woULscMwRmjCwoDdY+959xcXiwX9/KVfRAyV0gYD
+ xTBVeY2mjJuvAR3+aMrgjPRQKtVzrRSDwE1Kl1uEuBADKCX34g5VzKLk/ihk
+ lQBl8CKt3IQA5MMEICttPIY5XDw6glSVspv15tGLRxcu/+rl3/D4q9lsJtjl
+ 1WyTA7TxBKRYfjZEO2IMTufRosxdVcoCPvEIQTaBrYlLjuWFH0Z0Y433LC3Y
+ occ5a3ybz7EvmjdaD9IfvudG57d6G4E12fmse+d6tT76z38XcC6TwcOdEtvj
+ EGL7jif/fU3x1yaDmWejNuCpEI4ilZT3AFPAwifgA9gPuGMIFAESfqDUBpw2
+ inWuVNY+6z4l7NkX1ApWgI/QlvuD/qDZoWMEeRskaODBlmJ4oB9HGoYxycCy
+ 1R9OavYtT92nweIRotnn4ZkvBhqfRvc/oM8MUJIQqC00zeemWL/FutRnq8Jp
+ uam0BtA1yC5x8xLHS7xa9sREEjsy+ogTg4CiASQGpZVDjBMJcTDEEajEeDSM
+ DjxCHm/s5s96mn0W0ekF3PZ2eSR1n0qk3+/U5koXaQU9G6q6nwCXcMgWF/CF
+ QAVfQHGESSsmQHTcUiYi0QfH6K8YfF8iGEASnBjagPGgp4SoTdra7tAhEnFc
+ ZIdVhxD3h3GI1/afgcV/B/pfsnG4plP8pU7q0s76twTPsbyAL3quwKUJUIBa
+ 4HiBvrLHNd6DFI9MqpbvAWsANifPR2iGUnA6JDiwRAcLz547FwQThihxpE5/
+ Bol3YSS+G0g/iuuPQLxftUHEb9HRngDvmv0O/EQ2FfyqtTg3oBGrcyvgNzje
+ 8nMYKT8XGANvmGhzGG68DzIKc4fJNAmDHC+Gr1kKf1Q0/0Kk7qOJDl/y+vAn
+ mDyfwOj5E1av4MVJG/CnAW8tn7XfWL6A7xvwwO134GmycUye8+y6+9FCG7/V
+ kbW+eRJzxcsYlb+q1H0yqQs/852+Ehm2b2QzNpavkmkJTMHv9F4IrCqBBvzY
+ gOe5aS94IYDOMw7R0oH/HqRkPhJJfyiS+yl+/j3i2FXr+meQ+7wN/J5MWlKE
+ 4xFgy/eNbE61fNF7Bc9EBDzA7sDnWRfx3rlTwYu9Met2nNmIvj1m0YeSPXzR
+ 6fRPIHiii3LrDO49pzyNDSecdtij+XUhsdqneb7GwIvmN9wYPPb8nLHMwCyZ
+ WHCdull0xghIHgPBk0l/V3H8tlHzrwd9dN1ZhmA/Hg/0OyD26xTdj2Eplo1T
+ rNFW8xm8Bngrx8tCYNGCLwR2Dgvw/RQ8W/6NgBcCmH2ZgJd8RkmESeM3kW+8
+ orS9GpX9RNTxFRXG57RzP9Tr9Lra6IcxIg8kg/s4XYXXgHqNSivI6QZAqx34
+ VRvjJ5bvS7gdVc6Dbgt8HgEE1JRvyK2kYP55ONDzOsyv+QN3zazia5KbsIV6
+ +zn/UPflcKmZiVPJg8i9oF8dv2H/pDqRUXXYKhukxVFi/EQ2bwq8EAB4Sfkl
+ rc0kJLNRs2zR8Rm7gKs6nDN4KS7cD8xr/kf6b6mJOJK3ECzb078xV6xvBb5G
+ GgbPDssZprxn5Een2wIvBJgxW6CkxabMEqk4aYBrSk7DecjOWVe0TQu1Po44
+ kAVxZEFMZ+mYYwKtbJhkBY/mKni2fDoxPd0mAS73mqSspgmZgJYYz+YZdpGG
+ HVW3sT6tbxE6V8XyN4Fnh71T8DmMah13TpzTYt0QqOBrmGzj/KbG8X2hskab
+ Ap5lw5rnRGbkephLzjsFn30AD2IHypUThJJ9IRTnOmn5mg4XSxfwiwJ20ZCR
+ jHKqebZ8BQ/Nx9MmqDdMQAoOPLg+rJRSgXaVEg3T3KZoejVNhat8JrKpSRk7
+ rMxObPmzAL8jUPKZpgTMs+wey68ay7fpwLLR/qa1fMlr7gr4EwSK5WNOV2VE
+ hgJ6O3HQ3ew6Ab8rRKrm26SMl18APp0l+ErAFZ2rov3YyGczyWv2WX65J5c/
+ kVEiIYu3SofvmECxds/1sKQGx/l967DLKfg9hQjLpm9yeV/Ah7sFvh2BPvuv
+ LJz4Rj7VYZdTy59SRY37qii6S5tNOaPcFgkxCY5KbMl1ydX3hsry+02yKRnl
+ /y1Ezm4EkqzZMAj2Xl0WWLcFaAt+57CTdJjJD/cDfK0HhryEsdvGMiInnHYP
+ +Dq79jU1aMBHukebLbPkuoTRVB24AbwsSx7rPYVIXzPKJh1OdA83Wxx4nYNQ
+ DqGs7zJhtaFyva+KmoCPdI83duKq91iW0nn9vs0qV00hcqsSMNxry7cFzaaA
+ 5HqA1/T71KyiVctPqig3qV/vC/hcD2QJLWsWWvKfOgKbAn5qeV+qqPhmqqiz
+ deJs8WVd6yyzabU6E7jJ8qUQSfcbfIlCPOuqKiH+gtKu72wby0sJWAqRcwH+
+ mECCD+yqMLVbpGoKEUmHzxv4UlIalEZhjVosmKT5i2OtA1rLn2kVdbYE+IOS
+ 0uyknEp7HfUYVeQlQ65fRTZ3oxA5w2xUeaNpw18tEf99UFHWf/iLSLH8uQVf
+ RyBARltrDaaEEPhbbI408jURmh/TeQWf10ZtF9iRu86mAAImSi4WeLklr5ad
+ X/BCoOsMf/cdZ11HKJ/4HwdiMHyg0/2cYW8nG+X1IDefzxUI8P9ySP2KITj3
+ 4PMnpqT4ozZrP3bWxq7rUlmle0tsVv6xgWkg/Bg7IxPr/2K8Nbb/CTAAF12f
+ 5l7y6xMAAAAASUVORK5CYII=

## xplanet 1.2.1-1maemo3

=== debian/changelog ===
xplanet (1.2.1-1maemo3) unstable; urgency=low

  * Updated bugtracker address

 -- Luke Reeves <luke@neuro-tech.net>  Mon, 22 Feb 2010 20:30:00 -0500

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Luke Reeves <luke@neuro-tech.net>
 XSBC-Original-Maintainer: Ruben Molina <rmolina@udea.edu.co>
+XSBC-Bugtracker: luke@neuro-tech.net
 Build-Depends: quilt, autotools-dev,
  libjpeg62-dev, libpng12-dev | libpng-dev, libfreetype6-dev,
  libtiff4-dev, libpango1.0-dev,

## xplanet 1.2.1-1maemo4

=== debian/changelog ===
xplanet (1.2.1-1maemo4) unstable; urgency=low

  * Updated bugtracker address (take #2)

 -- Luke Reeves <luke@neuro-tech.net>  Wed, 24 Feb 2010 20:30:00 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Luke Reeves <luke@neuro-tech.net>
 XSBC-Original-Maintainer: Ruben Molina <rmolina@udea.edu.co>
-XSBC-Bugtracker: luke@neuro-tech.net
+XSBC-Bugtracker: Luke Reeves <luke@neuro-tech.net>
 Build-Depends: quilt, autotools-dev,
  libjpeg62-dev, libpng12-dev | libpng-dev, libfreetype6-dev,
  libtiff4-dev, libpango1.0-dev,

=== debian/watch ===
version=3
http://sf.net/xplanet/xplanet-(.+)\.tar\.gz

## xplanet 1.2.1-1maemo5

=== debian/changelog ===
xplanet (1.2.1-1maemo5) unstable; urgency=low

  * Updated bugtracker address (take #3)

 -- Luke Reeves <luke@neuro-tech.net>  Wed, 24 Feb 2010 21:30:00 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Luke Reeves <luke@neuro-tech.net>
 XSBC-Original-Maintainer: Ruben Molina <rmolina@udea.edu.co>
-XSBC-Bugtracker: Luke Reeves <luke@neuro-tech.net>
+XSBC-Bugtracker: mailto:luke@neuro-tech.net?subject=xplanet
 Build-Depends: quilt, autotools-dev,
  libjpeg62-dev, libpng12-dev | libpng-dev, libfreetype6-dev,
  libtiff4-dev, libpango1.0-dev,

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = xplanet
SRC_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')
SVN_REVISION := $(shell echo $(SRC_VERSION) | awk -F"+" '{ print $$2 }' | sed 's/svn//' )
TARBALL = $(PACKAGE)_$(SRC_VERSION).orig.tar.gz

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

include /usr/share/quilt/quilt.make

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure $(CROSS) --without-cspice --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status $(QUILT_STAMPFN)
	dh_testdir
	$(MAKE)
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_install --sourcedir=debian/tmp
	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify xplanet debian/xplanet
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

get-orig-source:
# http://wiki.debian.org/SandroTosi/Svn_get-orig-source
	rm -rf get-orig-source $(TARBALL)
	mkdir get-orig-source
	svn export -r $(SVN_REVISION) https://xplanet.svn.sourceforge.net/svnroot/xplanet/trunk \
	get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig
	GZIP=--best tar czf $(TARBALL) -C get-orig-source $(PACKAGE)-$(SRC_VERSION).orig
	rm -rf get-orig-source
	echo "  "$(TARBALL)" created; move it to the right destination to build the package"

.PHONY: build clean binary-indep binary-arch binary install get-orig-source

## xplanet 1.3.0

=== debian/changelog ===
xplanet (1.3.0-3) unstable; urgency=low

  * Update to use giflib5, using patch from Matthias Klose (thanks!).
    Closes: #803293
  * Update Standards-Version to 3.9.6

 -- Steve McIntyre <93sam@debian.org>  Sun, 13 Dec 2015 18:53:26 +0000

xplanet (1.3.0-2) unstable; urgency=low

  * Switch font dependency from ttf-freefont to fonts-freefont-ttf.
    Closes: #738261

 -- Steve McIntyre <93sam@debian.org>  Sun, 09 Feb 2014 01:53:58 +0000

xplanet (1.3.0-1) unstable; urgency=low

  * New maintainer
  * Move to new upstream version 1.3.0. (Closes: #678464)
    + Upstream highlights:
      - add "outlined" keyword to marker files
      - update JPL ephemeris code for 64 bit machines
      - add bump_shade config file parameter
      - add opacity keyword for markers
      - implement Rayleigh scattering
    + Remove old Debian patches now obsoleted:
      - possible-buffer-overflow (included upstream)
      - orbit-step-bug (included upstream)
      - gcc44-includes (included upstream)
      - hyphen-used-as-minus-sign (included upstream)
      - tsc-aspect-ratio (included upstream)
    + Update (and include!) FreeMonoBold
  * Update libtiff build-deps (Closes: #736052)
  * Update libpng build-deps (Closes: #662568)
  * Update Standards-Version to 3.9.5
  * Update to debhelper 9 to enable hardening build.

 -- Steve McIntyre <93sam@debian.org>  Thu, 30 Jan 2014 18:54:10 +0000

=== debian/control ===
Source: xplanet
Section: graphics
Priority: optional
Maintainer: Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev,
 libjpeg-dev, libpng-dev, libfreetype6-dev,
 libtiff-dev, libgif-dev, libnetpbm10-dev, libpango1.0-dev,
 libx11-dev, libxss-dev, libxt-dev, fonts-freefont-ttf
Standards-Version: 3.9.6
Homepage: http://xplanet.sourceforge.net/

Package: xplanet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-freefont
Recommends: xplanet-images
Description: planetary body renderer
 Xplanet renders an image of a planet into an X window or a file. All
 of the major planets and most satellites can be drawn, and different
 map projections are also supported, including azimuthal, hemisphere,
 Lambert, Mercator, Mollweide, Peters, polyconic, and rectangular.
 .
 In order to run xplanet, you'll need at least one map file. Some maps
 are included in the xplanet-images package.

Package: xplanet-images
Depends: ${misc:Depends}
Enhances: xplanet, ircmarkers
Breaks: xplanet (<< 0.71)
Architecture: all
Description: imagery for xplanet
 Xplanet renders an image of a planet into an X window or a file.
 .
 In order to run xplanet, you'll need at least one map file. This package
 includes some map files that can be used with xplanet.

=== debian/watch ===
version=3
http://sf.net/xplanet/xplanet-(\d.+)\.tar\.gz

## xplanet 1.3.1

=== debian/changelog ===
xplanet (1.3.1-5) unstable; urgency=medium

  * Prepare source only upload

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Mon, 18 Aug 2025 20:05:30 +0200

xplanet (1.3.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Remove constraints unnecessary since buster (oldstable):
    + xplanet-images: Drop conflict with removed package xplanet (<< 0.71) in
      Breaks.

  [ Alexander Reichle-Schmehl ]
  * Update debian/testes/earth_markers* as updated font results in slightly
    different image
  * Update debian/tests/compare-create-image to work with newer versions of
    imagemagicks compare (Closes: #1105051)
    (Actually: Let's try to solution in -2 again)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Sun, 17 Aug 2025 12:53:39 +0200

xplanet (1.3.1-3) unstable; urgency=medium

  * Mark xplaned-images as Multi-Arch: foreign
  * autopkgtest: Don't compare for equal images, as that fails on some
    architectures. Instead compare for very similar images.

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Tue, 04 Oct 2022 21:41:12 +0200

xplanet (1.3.1-2) unstable; urgency=medium

  * Break changelog at 80 chars (Thanks lintian)
  * Changed version of debian/watch to 4.  No further changes required,
    uscan still works.
  * Fix typo in VCS URL
  * Add some basic autopkgtest
  * Also install scatter files
  * Change maintainer address to my new Debian one

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Tue, 27 Sep 2022 21:21:54 +0200

xplanet (1.3.1-1) unstable; urgency=low

  [ Andreas Metzler ]
  * New upstream version 1.3.1
    + Unfuzz patches.
    + Replace giflib5.diff with a minimal patch from Gentoo (also used by
      Fedora), which also fixes the build error against giflib 5.2.
      Closes: #939035
  * [lintian] Delete trailing whitespace.
  * Use DH 12 compat level.
  * Set Rules-Requires-Root: no.
  * Set DEB_BUILD_MAINT_OPTIONS := hardening=+all.
  * Update copyright Format URL and update syntax, using unique license
    identifiers. Also drop trailing whitespace.

  [ Alexander Reichle-Schmehl ]
  * Adopt package (Closes: #1003911)
  * Change build depends from libnetpbm10-dev to libnetpbm-dev
    (Closes: #1016404)
  * Add VCS headers to debian/control
  * Bump standards to 4.6.1 (no changes needed)
  * Fix missing copyright: for smile.png in debian/copyright

 -- Alexander Reichle-Schmehl <alexander@alphamar.org>  Wed, 10 Aug 2022 18:34:59 +0200

xplanet (1.3.0-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop the Debian menu, as xplanet without arguments is basically unusable.
    (Closes: #970129)

 -- Pino Toscano <pino@debian.org>  Sun, 09 Jan 2022 12:41:32 +0100

xplanet (1.3.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - Build-Depend on dh-autoreconf instead autotools-dev.
    - Add pkg-config to the Build-Depends list.
  * debian/patches/freetype2_pkg-config.patch:
    - Use pkg-config to detect FreeType 2, as freetype-config is not installed
      in FreeType 2.9.1 or later (Closes: #892438).
  * debian/rules:
    - Call 'dh --with autoreconf' instead of 'dh --with autotools-dev'.
  * xplanet-images:
    - Install the source README file in /usr/share/doc/xplanet-images instead
      of /usr/share/doc/xplanet-images/README (Closes: #835821).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sat, 03 Nov 2018 23:08:14 +1100

xplanet (1.3.0-5) unstable; urgency=low

  * Fix font Depends from ttf-freefont to fonts-freefont-ttf too.
  * Fix various compilation warnings

 -- Steve McIntyre <93sam@debian.org>  Wed, 19 Apr 2017 16:18:09 +0100

xplanet (1.3.0-4) unstable; urgency=low

  * Fix compilation with g++-6. Closes: #811820

 -- Steve McIntyre <93sam@debian.org>  Mon, 18 Jul 2016 00:20:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: xplanet
 Section: graphics
 Priority: optional
-Maintainer: Steve McIntyre <93sam@debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev,
- libjpeg-dev, libpng-dev, libfreetype6-dev,
- libtiff-dev, libgif-dev, libnetpbm10-dev, libpango1.0-dev,
+Maintainer: Alexander Reichle-Schmehl <tolimar@debian.org>
+Build-Depends: debhelper-compat (= 12), pkgconf,
+ libjpeg-dev, libpng-dev, libfreetype-dev,
+ libtiff-dev, libgif-dev, libnetpbm-dev, libpango1.0-dev,
  libx11-dev, libxss-dev, libxt-dev, fonts-freefont-ttf
-Standards-Version: 3.9.6
-Homepage: http://xplanet.sourceforge.net/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Homepage: https://xplanet.sourceforge.net/
+Vcs-Browser: https://salsa.debian.org/debian/xplanet
+Vcs-Git: https://salsa.debian.org/debian/xplanet.git
 
 Package: xplanet
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-freefont
+Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-freefont-ttf
 Recommends: xplanet-images
 Description: planetary body renderer
  Xplanet renders an image of a planet into an X window or a file. All
@@ -25,8 +28,8 @@
 Package: xplanet-images
 Depends: ${misc:Depends}
 Enhances: xplanet, ircmarkers
-Breaks: xplanet (<< 0.71)
 Architecture: all
+Multi-Arch: foreign
 Description: imagery for xplanet
  Xplanet renders an image of a planet into an X window or a file.
  .

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

%:
	dh $@

=== debian/tests/control ===
Tests: test-file-types
Depends: @, shunit2, file

Tests: compare-create-image
Depends: @, imagemagick, shunit2

=== debian/watch ===
version=4
http://sf.net/xplanet/xplanet-(\d.+)\.tar\.gz
